Full click log with filters and pagination
GET
/api/v1/analytics/clicks
const url = 'https://example.com/api/v1/analytics/clicks?from=2026-03-01T00%3A00%3A00Z&to=2026-03-08T00%3A00%3A00Z&country=US&device=desktop&subIdName=sub_id_2&subIdValue=ad_12345&limit=50&offset=0';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/api/v1/analytics/clicks?from=2026-03-01T00%3A00%3A00Z&to=2026-03-08T00%3A00%3A00Z&country=US&device=desktop&subIdName=sub_id_2&subIdValue=ad_12345&limit=50&offset=0' \ --header 'Authorization: Bearer <token>'Authorizations
Заголовок раздела «Authorizations»Parameters
Заголовок раздела «Parameters»Query Parameters
Заголовок раздела «Query Parameters»from
string
Example
2026-03-01T00:00:00Zto
string
Example
2026-03-08T00:00:00Zcode
string
Short code or custom alias
country
string
Example
USdevice
string
os
string
browser
string
bot
boolean
isUnique
boolean
subIdName
string
Example
sub_id_2subIdValue
string
Example
ad_12345Requires subIdName to also be set
clickToken
string
Exact match on click_token (UUID)
ipHash
string
Exact match on ip_hash
limit
number
offset
number
Responses
Заголовок раздела «Responses»Media typeapplication/json
object
items
required
Array<object>
object
id
required
string
linkId
object
linkShortCode
object
linkCustomAlias
object
clickedAt
required
string
ipHash
object
browser
object
browserVersion
object
os
object
osVersion
object
deviceType
required
string
isBot
required
boolean
refererDomain
object
countryCode
object
countryName
object
city
object
language
object
isUnique
required
boolean
clickToken
object
matchedRuleId
object
resolvedUrl
object
subIds
object
total
required
number
limit
required
number
offset
required
number
Example generated
{ "items": [ { "id": "example", "linkId": {}, "linkShortCode": {}, "linkCustomAlias": {}, "clickedAt": "example", "ipHash": {}, "browser": {}, "browserVersion": {}, "os": {}, "osVersion": {}, "deviceType": "example", "isBot": true, "refererDomain": {}, "countryCode": {}, "countryName": {}, "city": {}, "language": {}, "isUnique": true, "clickToken": {}, "matchedRuleId": {}, "resolvedUrl": {}, "subIds": {} } ], "total": 1, "limit": 1, "offset": 1}